# Class: capifony
#
# This module manages capifony.
# See : https://github.com/everzet/capifony
#
# Parameters:
#
# Actions:
#
# Requires:
#
# Sample Usage:
#
#      import "trivoallan-capifony"
#      include "capifony"
#
# [Remember: No empty lines between comments and class definition]
class capifony {
    # TODO : publish "capifony" module on puppet forge

    # Install rubygems
    package { "rubygems": ensure => latest }

    # Install capifony and add it to path
    package { "capifony":
        ensure   => latest,
        provider => gem,
        require  => Package["rubygems"]
    }

    # TODO : Capifony version should not be hardcoded
    exec { "/usr/sbin/update-alternatives --install /usr/bin/capifony capifony /var/lib/gems/1.8/bin/capifony 50":
        unless => "/usr/bin/test /etc/alternatives/capifony -ef /var/lib/gems/1.8/capifony"
    }
}
